<?

include_once("../../inc/utils_portfolio.php");

$video = $_GET["v"];
$video_ogg = str_replace(".mp4", ".ogg", $video);
$w = (! isset($_GET["w"])) ? "0" : $_GET["w"];
$h = (! isset($_GET["h"])) ? "0" : $_GET["h"];
$loop = (! isset($_GET["loop"])) ? false : $_GET["loop"];
$root = $_SERVER["DOCUMENT_ROOT"];

// just to be safe
if ( (! strstr($video, ".mp4")) || (! is_file("{$root}/{$video}")) ) {
	echo "cannot find video {$video}";
	exit;
}

?>

<!doctype html>
<html>
<head>
	<title>video</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Expires" content="-1" />
	<meta name="description" content="Senior web application developer, multimedia designer, software engineer and technical leader" />
	<meta name="keywords" content="senior,contractor,independent consultant,contract,experienced,lamp,javascript,jquery,html5,css3,java,oop,application design,ui,usability,ecommerce,interface design,icons,web,compositing and motion graphics,marketing,branding,collateral,social media,newsletters,project management" />

	<link rel="stylesheet" type="text/css" href="/styles/main.css" />
	<style type="text/css">
	body { overflow: hidden; }
	#direct { text-shadow: none; color: #999; margin: 0 auto; text-align: right; visibility: hidden; }
	</style>
</head>
<body>

<!-- intentionally leaving w/h attributes off here - will set with jQuery below -->
<video id="video" controls="controls" <?= ($loop) ? "loop=\"loop\"" : "" ?>>
	<source src="<?= $video_ogg ?>" type="video/ogg">
	<source src="<?= $video ?>" type="video/mp4">
	<div style="text-align: left; margin: 30px;">
		<h1>I'm sorry...</h1>
		<p>For ease of use, I have decided to use the HTML5 video tag. Unfortunately, your browser does not support this tag.</p>
		<p>You many download this movie directly <a href="<?= $video ?>">here</a></p>
	</div>
</video>
<p id="direct" class="smaller">
	Can't see the video? Download it directly <a href="<?= $video ?>" target="_blank">here</a> (.mp4; apx. <?= getFileSize("{$root}/{$video}") ?>).
</p>
<div id="debug"></div>

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script>
<script type="text/javascript" src="/scripts/utils_portfolio.js"></script>
<script type="text/javascript">
<!--

var video;
var w = <?= $w ?>;
var h = <?= $h ?>;

$(document).ready(function() {
	// why not saving some typing?
	video = $("#video");

	// no border thingie
	video.click(function() { $(this).blur(); });

	// do we support video? (and yes modernizr is probably better but a
	//	whole lib to test this is silly)
	if ( (typeof(video.canPlayType) == 'undefined') || (video.canPlayType("video/mp4") == "") ) {
		// resizse the video!
		resizeVideo(video, w, h);
		// and enable the direct download link
		$("#direct").css("visibility", "visible");		
		// and add the resize tie-in
		$(window).resize(function(){ resizeVideo(video, w, h); });
	}
});

//-->
</script>

</body>
</html>
